Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.

API de consumidor

Get Consumer Information

get

This request is used by the D1 backend to request the details of an end user (consumer) from the issuer backend.

If the end user information is associated with the card, it is possible to activate "cardId" query parameter via an onboarding flag.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de consulta
cardIdstring · mín: 1 · máx: 48Opcional

Unique identifier of the card.

Example: cardId=crd_h2otddwm5uwujlye3qyxmjkphaPattern: ^[A-Za-z0-9_-]{1,48}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Respuestas
200

All needed information related to the requested end user (consumer).

application/json

The following objects represent the personal information of the end user (consumer).

languagestring · mín: 5 · máx: 5Opcional

Language of the end user (consumer). Based on ISO format for language (ISO 639–1) and an alpha-2 country code (ISO 3166–1 alpha-2). The language must be lowercase, and the country must be uppercase ideally. The language and country should be separated using a minus character "-".
Note: This field is mandatory for Click to Pay.

Example: en-USPattern: ^[a-z]{2}-[a-zA-Z]{2}$
firstNamestring · mín: 1 · máx: 128Requerido

First name of the end user (consumer).
Note: This field is mandatory for Click to Pay.

Example: JohnPattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,128}$
middleNamestring · mín: 1 · máx: 128Opcional

Middle name of the end user (consumer).

Example: JohnPattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,128}$
lastNamestring · mín: 1 · máx: 128Requerido

Last name of the end user (consumer).
Note: This field is mandatory for Click to Pay.

Example: SmithPattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,128}$
dateOfBirthstringOpcional

Date of Birth.

Example: 1990-01-25Pattern: ^\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[0-1])$
titlestring · mín: 1 · máx: 40Opcional

Title of the end user (consumer).

Example: Mr.Pattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,40}$
emailstringOpcional

Email of the end user (consumer).
Note: This field is mandatory for Click to Pay (Mastercard).

Example: [email protected]Pattern: ^[a-zA-Z0-9_+&*-]+(?:\.[a-zA-Z0-9_+&*-]+)*@(?:[a-zA-Z0-9-]+\.)+[a-zA-Z]{2,15}$
get
/banking/d1/v1/issuers/{issuerId}/consumers/{consumerId}?cardId=<cardId>

Authenticate

post

This request is sent by D1 to request an end user authentication.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Cuerpo
authenticationIdstringRequerido

The authentication request identifier. For 3DS, the value is the same as the 'acsTransactionId'.

operationstring · enumRequerido

The operation type.

Valores posibles:
detailsone ofOpcional
Respuestas
200

OK

application/json
authenticationStatusstring · enumRequerido

Status of the operation

Valores posibles:
post
/banking/d1/v1/issuers/{issuerId}/consumers/{consumerId}/authentication

Get Authentication Result

get

Polling request to get the authentication result.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
authenticationIdstringRequerido

The authentication identifier.

Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Respuestas
200

OK

application/json
authenticationStatusstring · enumRequerido

Status of the operation

Valores posibles:
reasonstring · mín: 1 · máx: 64Opcional

The reason of the technical error. Human readable text without personal or sensitive data.

get
/banking/d1/v1/issuers/{issuerId}/consumers/{consumerId}/authentication/{authenticationId}

Notify Consumer Operation (V1)

post

This request is used by D1 to notify the issuer backend about operations done on a consumer.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Cuerpo

Operation details related to a specific operationId

operationIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
operationstring · enumRequerido

The operation type.

Valores posibles:
statusstring · enumRequerido

Status of the operation

Valores posibles:
startTimestring · mín: 1 · máx: 64Requerido

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

Example: 2022-06-16T06:28:02.492Z
endTimestring · mín: 1 · máx: 64Opcional

The time the operation has been completed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD note: This is an optional field and might not be returned for synchronous operations.

Example: 2022-06-16T06:28:32.492Z
requestorTypestring · enumRequeridoValores posibles:
requestorIdstringRequerido

The consumerId of the end user.

detailsone ofOpcional
errorstringOpcional

Human readable string representing the error, only present in case of operation failure

Respuestas
post
/banking/d1/v1/issuers/{issuerId}/consumers/{consumerId}/notifications

Sin contenido

Deliver OTP

post

This request is used by D1 during the tokenization flow for a card in case it is required to send an OTP to the end user (consumer) "consumerId".

The parameter 'threeDSDetails' is available in the scenario :

  • 3DS Authentication

Note

This is applicable only if the issuer decides to rely on its own messaging system to send messages to their customers and not on the D1 platform.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Cuerpo
deliveryChannelstring · enumRequerido

The channel on which the end user has decided to receive the OTP.

Valores posibles:
panSuffixstring · mín: 4 · máx: 4Requerido

Last 4 digits of the PAN of the card to be tokenized (digitized)

Respuestas
post
/banking/d1/v1/issuers/{issuerId}/consumers/{consumerId}/otp

Sin contenido

Última actualización

¿Te fue útil?